Main Page Modules Data Structures File List Data Fields Globals Related Pages

# Block ciphers: Blowfish

## Files
file | blowfish.c
| Blowfish block cipher, code.

file | blowfish.h
| Blowfish block cipher, header.

file | blowfishopt.h
| Blowfish block cipher assembler-optimized routines, header.

## Data Structures
struct | blowfishParam
## Functions
int | blowfishSetup (blowfishParam *bp, const uint32 *key, int keybits, cipherOperation op)
int | blowfishSetIV (blowfishParam *bp, const uint32 *iv)
int | blowfishEncrypt (blowfishParam *bp, uint32 *dst, const uint32 *src)
int | blowfishDecrypt (blowfishParam *bp, uint32 *dst, const uint32 *src)
int | blowfishECBEncrypt (blowfishParam *bp, int count, uint32 *dst, const uint32 *src)
int | blowfishECBDecrypt (blowfishParam *bp, int count, uint32 *dst, const uint32 *src)
int | blowfishCBCEncrypt (blowfishParam *bp, int count, uint32 *dst, const uint32 *src)
int | blowfishCBCDecrypt (blowfishParam *bp, int count, uint32 *dst, const uint32 *src)
## Variables
const blockCipher | blowfish

## Function Documentation

int blowfishCBCDecrypt | ( | blowfishParam * | bp,
|  | int | count,
|  | uint32 * | dst,
|  | const uint32 * | src
| ) |

| Definition at line 553 of file blowfish.c.

int blowfishCBCEncrypt | ( | blowfishParam * | bp,
|  | int | count,
|  | uint32 * | dst,
|  | const uint32 * | src
| ) |

| Definition at line 516 of file blowfish.c.

int blowfishDecrypt | ( | blowfishParam * | bp,
|  | uint32 * | dst,
|  | const uint32 * | src
| ) |

| Definition at line 450 of file blowfish.c. Referenced by blowfishCBCDecrypt, and blowfishECBDecrypt.

int blowfishECBDecrypt | ( | blowfishParam * | bp,
|  | int | count,
|  | uint32 * | dst,
|  | const uint32 * | src
| ) |

| Definition at line 499 of file blowfish.c.

int blowfishECBEncrypt | ( | blowfishParam * | bp,
|  | int | count,
|  | uint32 * | dst,
|  | const uint32 * | src
| ) |

| Definition at line 483 of file blowfish.c.

int blowfishEncrypt | ( | blowfishParam * | bp,
|  | uint32 * | dst,
|  | const uint32 * | src
| ) |

| Definition at line 416 of file blowfish.c. Referenced by blowfishCBCEncrypt, blowfishECBEncrypt, and blowfishSetup.

int blowfishSetIV | ( | blowfishParam * | bp,
|  | const uint32 * | iv
| ) |

| Definition at line 396 of file blowfish.c.

int blowfishSetup | ( | blowfishParam * | bp,
|  | const uint32 * | key,
|  | int | keybits,
|  | cipherOperation | op
| ) |

| Definition at line 332 of file blowfish.c.

## Variable Documentation

const blockCipher blowfish

| Definition at line 53 of file blowfish.h.